mysqlpp::BadInsertPolicy Class Reference

Exception thrown when an insert policy is too strict to create a valid INSERT statement. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadInsertPolicy:
[legend]
Collaboration diagram for mysqlpp::BadInsertPolicy:
[legend]

## Public Member Functions

| BadInsertPolicy (const std::string &w)
| Create exception object.
Public Member Functions inherited from mysqlpp::Exception
| Exception (const Exception &e) throw ()
| Create exception object as copy of another.
Exception & | operator= (const Exception &rhs) throw ()
| Assign another exception object's contents to this one.
| ~Exception () throw ()
| Destroy exception object.
virtual const char * | what () const throw ()
| Returns explanation of why exception was thrown.

## Additional Inherited Members

Protected Member Functions inherited from mysqlpp::Exception
| Exception (const char *w="") throw ()
| Create exception object.
| Exception (const std::string &w) throw ()
| Create exception object.
Protected Attributes inherited from mysqlpp::Exception
std::string | what_
| explanation of why exception was thrown

## Detailed Description

Exception thrown when an insert policy is too strict to create a valid INSERT statement.

Thrown by Query::insertfrom() if it is unable to add VALUES to an empty query. This means the size threshold or max packet size of the policy is set too small.

The documentation for this class was generated from the following file:

- exceptions.h